Skip to main content
POST
/
organizations
/
{org_id}
/
financial-files
/
{file_id}
/
issues
Create financial file issue
curl --request POST \
  --url https://api.mycreditapp.ai/v1-beta/organizations/{org_id}/financial-files/{file_id}/issues \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>' \
  --data '
{
  "subject": "<string>",
  "message": "Description with detailed issues details"
}
'
{
  "subject": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "file_id": "<string>",
  "created_by_organization_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "message": "Description with detailed issues details"
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

file_id
string<uuid>
required

Unique identifier of the uploaded financial file

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

org_id
string<uuid>
required

Unique identifier of the organization

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

Body

application/json
subject
string
required

Subject of the reported financial file issue

Required string length: 1 - 100
Example:

"File was not processed"

message
string | null

Optional message with description of the financial file issues

Maximum string length: 1000
Example:

"Description with detailed issues details"

Response

Successful Response

subject
string
required

Subject of the reported financial file issue

Required string length: 1 - 100
Example:

"File was not processed"

id
string<uuid>
required

Unique identifier of the financial file issue

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

file_id
string
required

Unique identifier of the financial file related to the issue

Required string length: 10 - 100
Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

created_by_organization_id
string
required

Unique identifier of the organization that created the issue

Required string length: 10 - 100
Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

created_at
string<date-time>
required

Timestamp when the financial issue was created

Example:

"2025-09-23T16:07:35.675578"

updated_at
string<date-time>
required

Timestamp when the financial issue was updated

Example:

"2025-09-23T16:07:35.675578"

message
string | null

Optional message with description of the financial file issues

Maximum string length: 1000
Example:

"Description with detailed issues details"